#!/bin/bash
if [[ -z "$QMK_TARGET" ]]; then
	echo "You must provide a target to build!" 1>&2
	exit 1
fi

make $QMK_TARGET

# Move output files to output directory.
# These are the only extensions qmk can produce,
# as far as I know.
mv *.{bin,hex,uf2} /build_output > /dev/null 2>&1

exit 0