#pragma once

#include <stdint.h>

extern const int8_t fft_array_to_col[4][14];
extern const int8_t fft_col_to_array[10][5];

extern uint8_t layer_layouts[];

// Language keymap ids for layers.
// See layers/definitions/symbols.h.
enum layer_layout_ids {
	LAYOUT_NULL,	// This layer doesn't care what keymap the OS is using
	LAYOUT_EN,		// This layer is designed for the standard keymapping
	LAYOUT_RU,
};
