#pragma once

#ifdef ENABLE_HID_SPELLCHECK

#include "quantum.h"


// spellcheck_buffer holds keycode history.
// It can only contain values 0x00 - 0xFF, aka standard usb hid codes.
// Host software is responsible for turning this into a usable string.
//
// Note that SOME preprocessing is done,see spellcheck.c
#define SPELLCHECK_BUFFER_MAX 16
uint8_t spellcheck_buffer[SPELLCHECK_BUFFER_MAX];
uint8_t spellcheck_buffer_size;


bool process_spellcheck(uint16_t keycode, keyrecord_t* record);

#endif