// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(DESKTOP)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_MEDIA_PLAY_PAUSE, LGUI(KC_1),             LGUI(KC_2),            LGUI(KC_3),             LGUI(KC_4),        LGUI(KC_5),     KC_NO,\
        LGUI(KC_TAB),        KC_NO,                  LGUI(LCTL(KC_ENTER)),  KC_NO,                  KC_NO,             LGUI(KC_T),     KC_NO,\
        KC_NO,               LGUI(KC_EQL),           LGUI(KC_MINUS),        KC_NO,                  LGUI(KC_F),        LGUI(KC_G),\
        KC_NO,               KC_NO,                  KC_NO,                 LGUI(LSFT(KC_C)),       LGUI(KC_N),        LGUI(KC_M),     KC_NO,\
        M_GUI,               KC_NO,                  KC_NO,                 KC_MEDIA_PREV_TRACK,    KC_MEDIA_NEXT_TRACK,\
    \
                 KC_NO, M_RESETWM,\
                        KC_NO,\
        LGUI(KC_ENTER), LGUI(KC_BSLS), KC_NO,\
    \
    \
        M_SHUTDOWN, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,      KC_NO,\
        KC_NO,      KC_NO, KC_NO, KC_NO, KC_NO, LGUI(KC_P), KC_NO,\
                    KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,      KC_NO,\
        KC_NO,      KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,      KC_NO,\
                           KC_NO, KC_NO, KC_NO, KC_NO,      KC_NO,\
    \
        KC_NO, KC_NO,\
        KC_NO, \
        KC_NO, KC_NO, KC_NO\
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA LEDS_ergodox(\
        LC_PINK,        LC_PINK,      LC_PINK,      LC_PINK,      LC_PINK, \
        LC_OFF,         LC_GREEN,     LC_OFF,       LC_OFF,       LC_CYAN, \
        LC_GREEN,       LC_GREEN,     LC_OFF,       LC_CYAN,      LC_CYAN, \
        LC_OFF,         LC_OFF,       LC_ORANGE,    LC_CYAN,      LC_CYAN, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF, \
        \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_ORANGE, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
                        LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
    )
    BETA_LAYER_MAGIC_MACRO
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO