// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(FLIP)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_ESCAPE, KC_0,     KC_9,                      KC_8,  KC_7, KC_6, KC_NO,\
        KC_NO,     KC_NO,    KC_O,                      KC_I,  KC_U, KC_Y, KC_NO,\
        KC_NO,     KC_L,     OSL(LAYER_FLIP_SYMBOLS_A), KC_K,  KC_J, KC_H,\
        KC_NO,     KC_COMMA, KC_DOT,                    KC_P,  KC_M, KC_N, KC_NO,\
        KC_NO,     KC_NO,    KC_NO,                     KC_NO, KC_NO,\
    \
                    KC_NO,      KC_NO,\
                                KC_NO,\
        KC_ENTER,   KC_RSFT,    KC_NO,\
    \
    \
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
               KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
                      KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
    \
        KC_NO, KC_NO,\
        KC_NO,\
        KC_NO, KC_NO, KC_NO\
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA LEDS_ergodox(\
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,\
        \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
                        LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
    )

    BETA_LAYER_MAGIC_MACRO
#endif

#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO





#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(FLIP_SYMBOLS_A)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_NO,          KC_EXLM,        KC_AT,          KC_HASH,        KC_DLR,         KC_PERC,        KC_NO,\
        KC_NO,          KC_GRAVE,       KC_LPRN,        KC_RPRN,        KC_QUES,        KC_LCBR,        KC_NO,\
        KC_NO,          KC_TILD,        KC_QUOTE,       KC_COMMA,       KC_DOT,         KC_DQUO,\
        KC_NO,          KC_NO,          KC_LBRC,        KC_RBRC,        KC_EXLM,        KC_RCBR,        KC_NO,\
        KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,\
    \
                KC_NO,  KC_NO,\
                        KC_NO,\
        KC_NO,  KC_NO,  KC_NO,\
    \
    \
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
               KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
                      KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,\
    \
        KC_NO, KC_NO,\
        KC_NO,\
        KC_NO, KC_NO, KC_NO\
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA LEDS_ergodox(\
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_ORANGE,      LC_CYAN,      LC_CYAN,      LC_PINK,      LC_CYAN, \
        LC_ORANGE,      LC_PINK,      LC_PINK,      LC_PINK,      LC_PINK, \
        LC_OFF,         LC_CYAN,      LC_CYAN,      LC_PINK,      LC_CYAN, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF, \
        \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
        LC_RED,         LC_RED,       LC_RED,       LC_RED,       LC_RED, \
                        LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO