#include "features/leader/beta_leader.h"

BETA_LEADER_EXTERNS();

void beta_leader_start(void) {
	ergodox_right_led_3_on();
}

void beta_leader_end(void) {
	ergodox_right_led_3_off();
}

bool beta_leader_check(void) {

	BETA_SEQ_2_SHORT(KC_E, KC_M) {
		SEND_STRING(SECRET_EMAIL);
		return false;
	}

	BETA_SEQ_2_SHORT(KC_G, KC_M) {
		SEND_STRING(SECRET_GMAIL);
		return false;
	}

	BETA_SEQ_2_SHORT(KC_L, KC_I) {
		SEND_STRING(SECRET_SCHOOL_EMAIL);
		return false;
	}

	BETA_SEQ_2_LONG(KC_K, KC_B) {
		layer_move(LAYER_KEYBOARD);
		return false;
	}

	/*
	BETA_SEQ_1_SHORT(KC_F) {
		// doesn't work, no deactivate
		// also, this is slow since laeder key uses dumb logic
		set_oneshot_layer(LAYER_FKEYS, ONESHOT_START);
		return false;
	}
	*/

	BETA_SEQ_2_SHORT(KC_F, KC_1) { tap_code(KC_F1); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_2) { tap_code(KC_F2); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_3) { tap_code(KC_F3); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_4) { tap_code(KC_F4); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_5) { tap_code(KC_F5); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_Q) { tap_code(KC_F6); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_W) { tap_code(KC_F7); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_E) { tap_code(KC_F8); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_R) { tap_code(KC_F9); return false; }
	BETA_SEQ_2_SHORT(KC_F, KC_T) { tap_code(KC_F10); return false; }

	return true;
}