// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(NUMBERS)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_voyager(\
        TO(LAYER_MAIN), KC_NO,   KC_NO,    KC_NO,   KC_NO,      KC_NO,\
        KC_TRNS,        KC_1,    KC_2,     KC_3,    KC_4,       KC_5, \
        KC_TRNS,        KC_6,    KC_7,     KC_8,    KC_9,       KC_0, \
        KC_TRNS,        KC_NO,   KC_NO,    KC_DOT,  KC_COMMA,   KC_NO,\
        KC_TRNS, KC_TRNS, \
    \
        KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS,\
        KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS,\
        KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS,\
        KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS,\
        KC_TRNS, KC_TRNS \
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA {\
        LC_RED, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_GRN, LC_GRN, LC_GRN, LC_GRN, LC_GRN, \
        LC_OFF, LC_GRN, LC_GRN, LC_GRN, LC_GRN, LC_GRN, \
        LC_OFF, LC_OFF, LC_OFF, LC_PNK, LC_PNK, LC_OFF, \
        LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF \
    }

    // This is important.
    // The magic macro MUST be here, AFTER the RGBMatrix data.
    BETA_LAYER_MAGIC_MACRO
#endif

#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO