MCU = STM32F303
BOOTLOADER = ignition
DFU_SUFFIX_ARGS   = -v 3297 -p 0791

BOOTMAGIC_ENABLE  = yes
MOUSEKEY_ENABLE   = no
EXTRAKEY_ENABLE   = yes
CONSOLE_ENABLE    = no
COMMAND_ENABLE    = no
NKRO_ENABLE       = yes
BACKLIGHT_ENABLE  = no
RGBLIGHT_ENABLE   = no
AUDIO_ENABLE      = no
CUSTOM_MATRIX     = lite
SWAP_HANDS_ENABLE = no
RGB_MATRIX_ENABLE = yes
RGB_MATRIX_DRIVER = is31fl3731
EEPROM_DRIVER     = vendor
MOUSE_SHARED_EP   = no
LTO_ENABLE        = yes
DEBUG_ENABLE      = no
MOUSE_SHARED_EP   = no
COMBO_ENABLE      = yes

SRC += matrix.c
QUANTUM_LIB_SRC += i2c_master.c

SRC += \
	features/leader/leader.c