void td_screenshot(tap_dance_state_t *state, void *user_data) {
	if (state->count == 1) {
		tap_code16(KC_PSCR);
	} else if (state->count == 2) {
		tap_code16(LSFT(KC_PSCR));
	} else if (state->count == 3) {
		tap_code16(LALT(KC_PSCR));
	} else {
		reset_tap_dance(state);
	}
}

void td_ocr(tap_dance_state_t *state, void *user_data) {
	if (state->count == 1) {
		tap_code16(LCTL(KC_PSCR));
	} else if (state->count == 2) {
		tap_code16(LCTL(LSFT(KC_PSCR)));
	} else {
		reset_tap_dance(state);
	}
}

void td_wmlayout(tap_dance_state_t *state, void *user_data) {
	if (state->count == 1) {
		tap_code16(LGUI(KC_COMMA));
	} else if (state->count == 2) {
		tap_code16(LGUI(KC_DOT));
	} else {
		reset_tap_dance(state);
	}
}

tap_dance_action_t tap_dance_actions[] = {
	[TD_WMLAYOUT] = ACTION_TAP_DANCE_FN(td_wmlayout),
	[TD_SCREENSHOT] = ACTION_TAP_DANCE_FN(td_screenshot),
	[TD_OCR] = ACTION_TAP_DANCE_FN(td_ocr),
};